package hiro.yoshioka.sdh.diff;

import java.util.LinkedHashMap;
import java.util.Map;

public class DiffCatalog {
	Map<String, DiffToResultSetDataHolder> ddhMap = new LinkedHashMap<String, DiffToResultSetDataHolder>();

	public Map<String, DiffToResultSetDataHolder> getDdhMap() {
		return ddhMap;
	}

	public void put(String name, DiffToResultSetDataHolder drh) {
		ddhMap.put(name, drh);
	}

	@Override
	public String toString() {
		StringBuilder buf = new StringBuilder();
		buf.append(String.format("<== DiffCatalog ==>%n"));
		for (String key : ddhMap.keySet()) {
			buf.append(String.format("== KEY[%s] ==%n%s  %n", key,
					ddhMap.get(key)));
		}
		return buf.toString();
	}
}
